Module java.management
Package javax.management

# Class RuntimeMBeanException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
javax.management.JMRuntimeException
javax.management.RuntimeMBeanException

All Implemented Interfaces:
  `Serializable`

    public class RuntimeMBeanException
    extends JMRuntimeException

Represents runtime exceptions thrown by MBean methods in the agent. It "wraps" the actual `java.lang.RuntimeException` exception thrown. This exception will be built by the MBeanServer when a call to an MBean method throws a runtime exception.

Since:
  1.5
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`RuntimeMBeanException​(RuntimeException e)` | Creates a `RuntimeMBeanException` that wraps the actual `java.lang.RuntimeException`.
`RuntimeMBeanException​(RuntimeException e, String message)` | Creates a `RuntimeMBeanException` that wraps the actual `java.lang.RuntimeException` with a detailed message.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`Throwable` | `getCause()` | Returns the actual `RuntimeException` thrown.
`RuntimeException` | `getTargetException()` | Returns the actual `RuntimeException` thrown.

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RuntimeMBeanException

public RuntimeMBeanException​(RuntimeException e)
Creates a `RuntimeMBeanException` that wraps the actual `java.lang.RuntimeException`.

Parameters:
  `e` - the wrapped exception.

### RuntimeMBeanException

public RuntimeMBeanException​(RuntimeException e, String message)
Creates a `RuntimeMBeanException` that wraps the actual `java.lang.RuntimeException` with a detailed message.

Parameters:
  `e` - the wrapped exception.
  `message` - the detail message.

## Method Details

### getTargetException

public RuntimeException getTargetException()
Returns the actual `RuntimeException` thrown.

Returns:
  the wrapped `RuntimeException`.

### getCause

public Throwable getCause()
Returns the actual `RuntimeException` thrown.

Overrides:
  `getCause` in class `Throwable`
Returns:
  the wrapped `RuntimeException`.